Subject: bug#56559: 29.0.50; Invalid CGContextSaveState on NS

From: Po Lu <[email-masked]>
Date: Fri, 15 Jul 2022 17:54:02 +0800

Gerd Möllmann <[email-masked]> writes:

>> On 2022-07-15,, at 4:43 , Po Lu <[email-masked]> wrote:
>> 
>> 
>> Could you please try to find out if `ctx' is ever nil here (in
>> ns_draw_window_cursor):
>> 
>>  ns_focus (f, NULL, 0);
>> 
>> ->NSGraphicsContext *ctx = [NSGraphicsContext currentContext];
>>  [ctx saveGraphicsState];
>
> Doesn't seem to happen.

Odd, I thought that message was supposed to show up if you try to draw
something without an active graphics context.  I'm no Mac programmer, so
I guess someone else should take over at this point.

Thanks.